<?php

class Bootstrap extends Zend_Application_Bootstrap_Bootstrap
{
    protected function _initAutoload()
    {
        $autoloader = new Zend_Application_Module_Autoloader(array(
            'namespace' => '',
            'basePath' => dirname(__FILE__),
        ));
        //$autoloader->
        return $autoloader;        
    }
    
	protected function _initPlugins(){
		$front = Zend_Controller_Front::getInstance();
		$front->registerPlugin(new Zend_Videoklipy_Plugins_Sranda());
	}
	
    protected function _initDatabase(){
    	$resource = $this->getPluginResource('db');
    	$db = $resource->getDbAdapter();
    	Zend_Registry::set('db', $db);    	 
    }
}

